Two branches of phpbb; 3.1 and 3.2

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
Post Reply
scorpiors
Registered User
Posts: 133
Joined: Fri Sep 09, 2011 6:14 am

Two branches of phpbb; 3.1 and 3.2

Post by scorpiors » Sat Nov 02, 2019 3:21 am

My board is running on phpbb 3.1.11, I checked for the latest version of phpbb, it is showing 3.1 and 3.2 branches. The latest version for 3.1 version is 3.1.12 while another latest version is 3.2.8
Is there any difference in installation of both of these? How can I install 3.2.8 version over 3.1.11? Please guide.

User avatar
HiFiKabin
Community Team Member
Community Team Member
Posts: 4053
Joined: Wed May 14, 2014 9:10 am
Location: Swearing at the PC, UK
Name: James
Contact:

Re: Two branches of phpbb; 3.1 and 3.2

Post by HiFiKabin » Sat Nov 02, 2019 7:52 am

3.1.x is well past its end of life, and is no longer supported. 3.2.x is the current branch and this is how to upgrade. Moving to Support.

Notes:
  • Your server must be running at least PHP 5.4.7 or higher.
  • phpBB 3.2 is not completely backwards compatible with 3.1 and custom edits may no longer work. The easiest upgrade method is to remove all existing files prior to upgrading and re-applying custom changes after verifying their correctness.

    To upgrade, perform the following steps:
  1. Make a back-up of the original files and database
  2. Deactivate all styles except for prosilver
  3. Deactivate any extensions which are not compatible with phpBB 3.2. Check with the extension author to find out if an extension is compatible or not.
  4. Ensure that the activated spambot countermeasure is one of the standard phpBB plugins (Simple image, GD image, GD 3D image, Q&A, reCaptacha).
  5. Set British English as the only language pack and delete all other language pack directories from your server
  6. Delete all of your phpBB 3.1.x files EXCEPT for the following:
    • The config.php file
    • The /ext/ directory
    • The /images/ directory
    • The /files/ directory
    • The /store/ directory
  7. Upload the contents of the phpBB3 directory from the uncompressed 3.2.x Full Package (EXCEPT for config.php) into your forum's directory (Note: you don't want to overwrite your original config.php file)
  8. Browse to www.example.com/install/
  9. Click the Update tab
  10. Click the Update button
  11. Select "Update database only" and click Submit
  12. Wait for the progress bar to reach 100% and for a message indicating that the update has completed
  13. Delete or rename the /install/ directory

User avatar
warmweer
Registered User
Posts: 2983
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Belt ... well actually Belgium

Re: Two branches of phpbb; 3.1 and 3.2

Post by warmweer » Sun Nov 03, 2019 6:09 pm

scorpiors wrote:
Sat Nov 02, 2019 3:21 am
Is there any difference in installation of both of these? How can I install 3.2.8 version over 3.1.11? Please guide.
There is no installing a version over another version.
You are presented with information, stating that there is a more recent version op phpBB with the same branch), and also that the latest version is 3.2.8 (that is within the 3.2 branch). Whatever you choose to to, it involves replacing your current files and a database update.. The logical thing to to is to update to 3.2.8 since that is compatible with more recent versions of php (not yet php 7.3) and sooner or later most hosts will drop php versions < 7.0 anyway.
The year is 2192. The British Prime Minister visits Brussels to ask for an extension of the Brexit deadline. No one remembers where this tradition originated, but every year it attracts many tourists from all over the world.

Post Reply

Return to “[3.2.x] Support Forum”